def cesar(msg, key):
    resultStr = ""
    key=key%26
    for char in msg:
    	resultStr = resultStr + chr(ord(char) + key)
    return resultStr

def decrypteCesar(msg, key):
    resultStr = ""
    key=key%26
    for char in msg:
    	resultStr = resultStr + chr(ord(char) - key)
    return resultStr


def culdechouette(val):
    tab=[]
    for i in range(1,7):
        for j in range(i,7):
            for k in range(j,7):
                if(i+j+k==val):
                    tab.append([i,j,k])
    return tab
